	#include <stdio.h>   /* Standard input/output definitions */
	#include <string.h>  /* String function definitions */
	#include <unistd.h>  /* UNIX standard function definitions */
	#include <fcntl.h>   /* File control definitions */
	#include <errno.h>   /* Error number definitions */
	#include <termios.h> /* POSIX terminal control definitions */


int main(int argc, char* argv[])
{
	char* command = argv[1];

	int fd; /* File descriptor for the port */


	fd = open("/dev/ttyUSB0", O_RDWR | O_NOCTTY | O_NDELAY);
	if (fd == -1)
	{
		/*
		* Could not open the port.
		*/
		perror("open_port: Unable to open /dev/ttyUSB0 - ");
	} else {
		fcntl(fd, F_SETFL, 0);
	}

	struct termios options;

	/*
	* Get the current options for the port...
	*/
	tcgetattr(fd, &options);

	/*
	* Set the baud rates...
	*/
	cfsetispeed(&options, B115200);
	cfsetospeed(&options, B115200);
	options.c_cflag &= ~CSIZE;
	options.c_cflag |= CS8;
	options.c_oflag &= ~OPOST; //raw output

	/*
	* Enable the receiver and set local mode...
	*/
	options.c_cflag |= (CLOCAL | CREAD);

	/*
	* Set the new options for the port...
	*/
	tcsetattr(fd, TCSANOW, &options);


	printf("Writing '%s'\n", command);
	char buffer[200];
	sprintf(buffer, "\r\n%s\r\n", command);
	int n = write(fd, buffer, strlen(buffer)+1);
	if (n < 0) fputs("write() of command failed!\n", stderr);

	close(fd);

	return 0;
}
